#include "picsys18.h"

void
setup()
{
	pinMode(SOUNDER, OUT_BEEP) ;
	
	pinMode(SW1, INPUT) ;
	pinMode(SW2, INPUT) ;
	pinMode(SW3, INPUT) ;
	pinMode(SW4, INPUT) ;
	pinMode(SW5, INPUT) ;
	pinMode(SW6, INPUT) ;
	
	SEG7_initDefault() ;
}

void
loop()
{
	SEG7_setDigit(0, digitalRead(SW3) ? SEG7_HIGH : SEG7_LOW) ;
	SEG7_setDigit(1, digitalRead(SW4) ? SEG7_HIGH : SEG7_LOW) ;
	SEG7_setDigit(2, digitalRead(SW5) ? SEG7_HIGH : SEG7_LOW) ;
	SEG7_setDigit(3, digitalRead(SW6) ? SEG7_HIGH : SEG7_LOW) ;
	
	if (digitalRead(SW3) == LOW) {
		analogWrite(SOUNDER, 8) ;
	} else if (digitalRead(SW4) == LOW) {
		analogWrite(SOUNDER, 7) ;
	} else if (digitalRead(SW5) == LOW) {
		analogWrite(SOUNDER, 6) ;
	} else if (digitalRead(SW6) == LOW) {
		analogWrite(SOUNDER, 5) ;
	} else {
		analogWrite(SOUNDER, 0) ;
	}
	
	delayMilliseconds(100) ;
}
